Bug 1410017 - Audit log shows wrong disks' ids for disks with illegal Pass Discard
Summary: Audit log shows wrong disks' ids for disks with illegal Pass Discard
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: future
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Idan Shaby
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 08:42 UTC by Idan Shaby
Modified: 2017-03-16 14:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-16 14:50:28 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
tnisan: devel_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 69545 0 master MERGED backend: fix logging of disks with illegal Pass Discard 2017-01-09 16:12:08 UTC
oVirt gerrit 69887 0 ovirt-engine-4.1 MERGED backend: fix logging of disks with illegal Pass Discard 2017-01-10 12:47:08 UTC

Description Idan Shaby 2017-01-04 08:42:50 UTC
Description of problem:
When adding a cloned vm from a template, the audit log shows wrong disks' ids for the ones with illegal Pass Discard values.

Version-Release number of selected component (if applicable):
d187d588364417cd93c81e5b7c2d5f16f9ac29fb

How reproducible:
100%

Steps to Reproduce:
1. Create a vm and add a disk with Pass Discard enabled.
2. Create a template from the vm.
3. Create a vm from the template using the "Clone" storage allocation, when the target storage domain is a block domain that does not support discard.

Actual results:
The wrong disks' ids are logged in the audit log.

Expected results:
Should be the vm disks' ids and not the template ones.

Comment 1 Kevin Alon Goldblatt 2017-02-23 15:17:03 UTC
Verified with the following code:
-------------------------------------
ovirt-engine-4.1.1-0.1.el7.noarch
rhevm-4.1.1-0.1.el7.noarch
vdsm-4.19.5-1.el7ev.x86_64

Verified with the following scenario:
-------------------------------------------
Steps to Reproduce:
1. Create a vm and add a disk with Pass Discard enabled.
2. Create a template from the vm.
3. Create a vm from the template using the "Clone" storage allocation, when the target storage domain is a block domain that does not support discard.

The audit log displays the correct disk id

Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.